| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csUserRenderBufferManager Class Reference

Helper class to manage multiple render buffers, usually provided by the user. More...

`#include <cstool/userrndbuf.h>`

List of all members.

## Public Member Functions
bool | AddRenderBuffer (csStringID name, iRenderBuffer *buffer)
| Add a buffer.
iRenderBuffer * | GetRenderBuffer (csStringID name) const
| Retrieve a buffer.
bool | RemoveRenderBuffer (csStringID name)
| Remove a buffer.

## Detailed Description

Helper class to manage multiple render buffers, usually provided by the user.

Definition at line 51 of file userrndbuf.h.

## Member Function Documentation

bool csUserRenderBufferManager::AddRenderBuffer | ( | csStringID | name,
|  | iRenderBuffer * | buffer |
| ) |  |  |

Add a buffer.

Returns false if a buffer of the same name was already added.

iRenderBuffer* csUserRenderBufferManager::GetRenderBuffer | ( | csStringID | name | ) | const

Retrieve a buffer.

bool csUserRenderBufferManager::RemoveRenderBuffer | ( | csStringID | name | ) |

Remove a buffer.

Returns false if no buffer of the specified name was added.

The documentation for this class was generated from the following file:

- cstool/userrndbuf.h